> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Deal Service Providers

GET https://api.filesearch.dev/v2/datasets/odyssey/deals/{id}/service-providers

Get deal service providers.

Returns service providers (legal, accounting, etc.) involved in the deal.

Note: Service provider data not available from public sources.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/deals/deals-service-providers

## Request

### Path parameters

- `id` (string, required) — Deal entity ID

## Response

### 200

Successful Response

- `deal_id` (string, optional)
- `company_name` (string, optional)
- `service_providers` (list of OdysseyDealsServiceProvidersResponseServiceProvidersItems, optional)
- `total` (integer, optional)
- `data_sources` (list of string, optional)

## Types

### OdysseyDealsServiceProvidersResponseServiceProvidersItems

- `title` (string, optional)
- `url` (string, optional)
- `excerpts` (list of string, optional)
- `source` (string, optional)

## Examples

**Response**

```json
{
  "deal_id": "deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0",
  "company_name": "openai.com",
  "service_providers": [
    {
      "title": "OpenAI | Research & Deployment",
      "url": "http://openai.com",
      "excerpts": [
        "# Recent news\n## Stories\nView all\nA cyclist pushes a fat-tire bike across a wide snowy landscape.\nTraining to cycle across Antarctica with ChatGPT Jun 11, 2026\nCK Chan stands inside a large radio telescope dish.\nCreating new simulations of black holes with Codex Jun 11, 2026\nOpenAI Ganassi 1x1\nChip Ganassi Racing × OpenAI API May 28, 2026\n\n## Latest research\nView all\nGeometry > ArtCard > Polynomial Construction\nAn OpenAI model has disproved a central conjecture in discrete geometry Research May 20, 2026\nOAI GPT-Rosaling Art Card 1x1\nIntroducing GPT-Rosalind for life sciences research Research …"
      ],
      "source": "web_search"
    },
    {
      "title": "[PDF] openAI-ALM-Dealmakers-of-the-Year-2025.pdf",
      "url": "https://www.wlrk.com/wp-content/uploads/2025/03/openAI-ALM-Dealmakers-of-the-Year-2025.pdf",
      "excerpts": [
        "added that “the nonprofit dynamic is clearly\nsomething that makes this situation unique.”\n“Having this business succeed—having the\nbusiness successfully raise capital—is core\nto the mission, and investors understand\nthat,” Veblen said.\nTo do what it does and grow how it has\ngrown, OpenAI “consumes a tremendous\namount of compute and other resources,”\nadded Nussbaum, who advised in its $6.6\nbillion funding last fall. Structured as it\ncurrently is, OpenAI cannot issue stock,\nnecessitating other forms of capital, such as\nthrough its best-known funder, Microsoft. In\n**Andy Nussbaum and Mark …"
      ],
      "source": "web_search"
    }
  ],
  "total": 10,
  "data_sources": [
    "web_search"
  ]
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/deals/deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0/service-providers",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/deals/deal_019ed21d-19c2-74a0-be49-98e8c9ea5358_fd_0/service-providers`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```